Skip to main content
GET
/
visitors
/
requests
/
v1
Get requests
curl --request GET \
  --url https://api.spacebring.com/visitors/requests/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "nextPageToken": "<string>",
  "requests": [
    {
      "createDate": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "visitor": {
        "email": "<string>",
        "name": "<string>",
        "phoneNumber": "<string>",
        "surname": "<string>"
      },
      "userHost": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "photoUrl": "<string>",
        "surname": "<string>"
      }
    }
  ],
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>
required

The id of the location.

nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

limit
integer<int64>
default:25

The number of items to return.

Required range: 1 <= x <= 100

Response

OK

nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

requests
object[]
searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.